local utils = require('utils')
vim.g.mapleader = ','
-- Paste from clipboard
utils.map('n', '<leader>p', '"+p')
utils.map('n', '<leader>P', '"+P')
utils.map('v', '<leader>p', '"+p')
utils.map('v', '<leader>P', '"+P')

-- Yank to clipboard
utils.map('v', '<leader>y', '"+y')
utils.map('n', '<leader>Y', '"+yg_')
utils.map('n', '<leader>y', '"+y')
utils.map('n', '<leader>yy', '"+yy')

-- Tabs
utils.map('n', '<F2>', ':tabnew .<CR>')
utils.map('i', '<F2>', '<Esc>:tabnew .<CR>')
utils.map('n', '<S-Right>', 'gt')
utils.map('n', '<S-Left>', 'gT')
-- Split movement
utils.map('n', '<A-Up>', ':wincmd k<CR>')
utils.map('n', '<A-Down>', ':wincmd j<CR>')
utils.map('n', '<A-Left>', ':wincmd h<CR>')
utils.map('n', '<A-Right>', ':wincmd l<CR>')
-- Open a new vertical split window with Ctrl - F2
utils.map('n', '<C-F2>', ':vsplit .<CR>')
utils.map('i', '<C-F2>', '<Esc>:vsplit .<CR>')
-- Open a new horizontal split window with Shift - F2
utils.map('n', '<S-F2>', ':split .<CR>')
utils.map('i', '<S-F2>', '<Esc>:split .<CR>')


utils.map('n', '<C-S>', ':wa<CR>')


